/* Styling for the index page */
.grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
  column-gap: 0.4rem;
}
#search-form {
  display: -moz-flex;
  display: -webkit-flex;
  display: -ms-flex;
  display: flex;
  position: relative;
}

#search-form input[type="text"],
#search-form input[type="password"],
#search-form input[type="email"] {
  width: 18em;
}

#search-form > * {
  margin: 0 0 0 1em;
}

#search-form > :first-child {
  margin: 0 0 0 0;
}

@media screen and (max-width: 480px) {
  #search-form {
    -moz-flex-direction: column;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
  }

  #search-form input[type="type"],
  #search-form input[type="password"],
  #search-form input[type="email"] {
    width: 100%;
  }

  #search-form > * {
    margin: 1.25em 0 0 0;
  }

  #search-form .message {
    bottom: -1.5em;
    font-size: 0.9em;
    height: 1em;
    left: 0;
    line-height: inherit;
    margin-top: 0;
    position: absolute;
  }
}
#error {
  background-color: yellow;
  color: red;
  width: fit-content;
}

#save_button,
#save_button_alert {
  width: 30%;
  height: 2em;
  margin: auto auto auto 15em;
  line-height: normal;
}
/* Track cover - images are overlayed. 
top/left value for cover needs to be (vinyl height / 2) - (cover height / 2)
*/
#track_images {
  position: relative;
  margin-right: 2%;
}

#cover {
  position: relative;
  width: 130px;
  height: 130px;
  top: 15px;
  left: 15px;
  z-index: 5;
}
@media screen and (max-width: 480px) {
  #cover {
    margin-bottom: 20px;
    width: 70px;
    height: 70px;
    top: 10px;
    left: 10px;
  }
}
#vinyl {
  position: absolute;
  width: 160px;
  height: 160px;
  top: 0px;
  left: 0px;
  z-index: 1;
}
@media screen and (max-width: 480px) {
  #vinyl {
    width: 90px;
    height: 90px;
    top: 0px;
    left: 0px;
  }
}

#canorus_ring {
  position: absolute;
  width: 204px;
  height: 204px;
  top: -22px;
  left: -22px;
  z-index: 10;
  -webkit-animation: spin 10s linear infinite;
  -moz-animation: spin 10s linear infinite;
  animation: spin 10s linear infinite;
}
@media screen and (max-width: 480px) {
  #canorus_ring {
    width: 100px;
    height: 100px;
    top: -5px;
    left: -5px;
  }
}
#user_rating {
  margin-top: 10px;
}
#mapper_avatar {
  width: 30px;
  height: 30px;
  /* margin-right: 10px; */
}
#comments_input {
  height: 8em;
  width: 23em;
}
